﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace sample
{
    class Sample
    {
        static void Main(string[] args)
        {
          var rooms = new List<Room> {
            new Room(true),
            new Room(true),
            new Room(false),
            new Room(false)
          };
          
          Room bookedRoom = null;
          foreach(var room in rooms) {
            if(room.IsAvailable(DateTime.Now)) {
              room.Book(DateTime.Now);
              bookedRoom = room;
              break;              
            }
          }
          
          Console.WriteLine("Room booked: {0}", bookedRoom);
        }
    }
}
