﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace sample
{
    class Sample
    {
        static void Main(string[] args)
        {
          var rooms = new List<Room> {
            new Room(true),
            new Room(true),
            new Room(false),
            new Room(false)
          };
          
          DateTime date = DateTime.Now;
          Room bookedRoom = 
            rooms.Where(room => room.BookIfAvailable(date))
                 .First();
          
          Console.WriteLine("Room booked: {0}", bookedRoom);
        }
    }
}
